package com.liquidnet.service.goblin.dto.manage.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.liquidnet.commons.lang.util.DateUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 * 预约关联sku和spu表
 * </p>
 *
 * @author liquidnet
 * @since 2022-04-08
 */
@Data
public class GoblinGoodsAnticipateValueVo {

    private static final long serialVersionUID = 1L;


    /**
     * antId
     */
    @ApiModelProperty(value = "antId")
    private String antId;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * sku_id 对应 goblin_goods_sku.sku_id
     */
    @ApiModelProperty(value = "sku_id 对应 goblin_goods_sku.sku_id")
    private String skuId;

    /**
     * spu_id对应 goblin_goods_spu_id
     */
    @ApiModelProperty(value = "spu_id对应 goblin_goods_spu_id")
    private String spuId;

    /**
     * 预约开始时间
     */
    @ApiModelProperty(value = "预约开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = DateUtil.DATE_FULL_STR)
    private LocalDateTime aboutStartDate;

    /**
     * 预约结束时间
     */
    @ApiModelProperty(value = "预约结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = DateUtil.DATE_FULL_STR)
    private LocalDateTime aboutEndDate;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = DateUtil.DATE_FULL_STR)
    private LocalDateTime createdDate;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = DateUtil.DATE_FULL_STR)
    private LocalDateTime updateDate;

    /**
     * 删除（0:未删除1:已删除）
     */
    @ApiModelProperty(value = "删除（0:未删除1:已删除）")
    private Integer delTag;

}
